Subject: Re: CCL:Linux on PowerPC

From: Christoph van Wüllen <[email-masked]>
Date: Thu, 19 Apr 2001 08:49:42 +0200

>computers can run Linux OS. PowerPC processor is much more powerful than
>PC chips in scientific calculations, at least Apple's ads said so. My
>question is: Can G98 run on SuSe Linux-Apple combination?

This depends on the quality of the compiler. My timings for a small 
TURBOMOLE test suite are

Mac/g77       (29. 08. 99)   532 user  37 sys 0:10 real             G3 400 MHz
unibo13/g77   (22. 09. 99)   445 user  28 sys 0:41 real           Piii 500 MHz
CvW/PGI       (28. 09. 99)   320 user  16 sys 0:06 real           Piii 500 MHz
Gadolinium    (30. 03. 01)   178 user  29 sys 0:04 real           Piii 850 MHz
Achilleus/PGI (29. 03. 01)   161 user  11 sys 0:03 real         Athlon 900 MHz

That is, a G3 and Pentium-iii are similar at the same clock speed. The PGI
compiler for pentium gives 30 percent, and modern PCs at 900 MHz outperform
a G3-400 MHz by a factor of 3.3. Unless you have a FORTRAN compiler that
exploits the new G4 architecture, I cannot see why a PowerPC should be faster
than a Pentium. I love my Macintosh on my desk, but for doing computations....

-- 
+---------------------------------+-------------------------------------+
| Prof. Christoph van Wullen      | Tele-Phone (+49) (0)30 314 27870    |
| Technische Universitat Sekr. C3 | Tele-Fax   (+49) (0)30 314 23727    |
| Strasse des 17. Juni 135        | eMail                               |
| D-10623 Berlin, Germany         | [email-masked]    |
+---------------------------------+-------------------------------------+

---

From: Joerg Grunenberg <[email-masked]>
Date: Thu, 19 Apr 2001 14:08:45 +0200

> than a Pentium. I love my Macintosh on my desk, but for doing computations....

Here are some more benchmarks pointing to a discrepancy between reality
and advertisement:

Processor               SPECint95               SPECfp95
PowerPC G3(450 MHz)     21.4                    13.8
PowerPC G4(450 MHz)     21.4                    20.4
(" ...processing speed of a supercomputer..." ; www.apple.com)

Athlon (1.0GHz)         42.0                    29.4
Pentium III (1.0GHz)    46.8                    32.2
Alpha (833 MHz)21264A   49.4                    95.6

J. Grunenberg

-- 
Dr. Jörg Grunenberg, Org. Chemie, Hagenring 30, 38106 Braunschweig
email: [email-masked] phone: +49 531 391 5252 
URL: http://www.tu-bs.de/institute/org-chem/grunenberg/grunenberg.html